org.apache.sysds.runtime.compress.estim

## Class CompressedSizeInfo

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.CompressedSizeInfo

-     public class CompressedSizeInfo
      extends Object

  A helper reusable object for maintaining information about estimated compression

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<Integer>` | `colsC`
    `List<Integer>` | `colsUC`
    `HashMap<Integer,Double>` | `compRatios`
    `CompressedSizeInfoColGroup[]` | `compressionInfo`
    `int` | `nnzUC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedSizeInfo(CompressedSizeInfoColGroup[] compressionInfo, List<Integer> colsC, List<Integer> colsUC, HashMap<Integer,Double> compRatios, int nnzUC)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompressedSizeInfoColGroup` | `getGroupInfo(int index)`
    `long` | `memoryEstimate()` Method for returning the calculated memory usage from this specific compression plan.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### compressionInfo

          public CompressedSizeInfoColGroup[] compressionInfo

    - #### colsC

          public List<Integer> colsC

    - #### colsUC

          public List<Integer> colsUC

    - #### compRatios

          public HashMap<Integer,Double> compRatios

    - #### nnzUC

          public int nnzUC

  - ### Constructor Detail

    - #### CompressedSizeInfo

          public CompressedSizeInfo(CompressedSizeInfoColGroup[] compressionInfo,
                                    List<Integer> colsC,
                                    List<Integer> colsUC,
                                    HashMap<Integer,Double> compRatios,
                                    int nnzUC)

  - ### Method Detail

    - #### getGroupInfo

          public CompressedSizeInfoColGroup getGroupInfo(int index)

    - #### memoryEstimate

          public long memoryEstimate()

      Method for returning the calculated memory usage from this specific compression plan.
      Returns:
        The in memory estimate as a long counting bytes.

Copyright © 2020 The Apache Software Foundation. All rights reserved.